Package twisted :: Package internet :: Module unix :: Class Port

[show private | hide private]
[frames | no frames]

## Class Port

        Logger --+
                 |
     Ephemeral --+
                 |
    FileDescriptor --+
                     |
              BasePort --+
                         |
                      Port --+
                             |
                            Port

Method Summary
| `__init__(self, fileName, factory, backlog, reactor)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__repr__(self)`
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| ``connectionLost`(self, reason)` Cleans up my socket.
| `createInternetSocket(self)` (inherited from `Port`)
| ``doRead`(self)` Called when my socket is ready for reading. (inherited from `Port`)
| ``fileno`(self)` File Descriptor number for select(). (inherited from `FileDescriptor`)
| ``getHost`(self)` Returns a tuple of ('UNIX', fileName)
| `log(self, bytes)` (inherited from `Logger`)
| ``logPrefix`(self)` Returns the name of my class, to prefix log entries with. (inherited from `Port`)
| ``loseConnection`(self)` Stop accepting connections on this port. (inherited from `Port`)
| `pauseProducing(self)` (inherited from `FileDescriptor`)
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer. (inherited from `FileDescriptor`)
| `resumeProducing(self)` (inherited from `FileDescriptor`)
| ``startListening`(self)` Create and bind my socket, and begin listening on it.
| ``startReading`(self)` Start waiting for read availability. (inherited from `FileDescriptor`)
| ``startWriting`(self)` Start waiting for write availability. (inherited from `FileDescriptor`)
| ``stopConsuming`(self)` Stop consuming data. (inherited from `FileDescriptor`)
| ``stopListening`(self)` Stop accepting connections on this port. (inherited from `Port`)
| `stopProducing(self)` (inherited from `FileDescriptor`)
| ``stopReading`(self)` Stop waiting for read availability. (inherited from `FileDescriptor`)
| ``stopWriting`(self)` Stop waiting for write availability. (inherited from `FileDescriptor`)
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting. (inherited from `FileDescriptor`)
| ``write`(self, data)` Reliably write some data. (inherited from `FileDescriptor`)
| `writeSequence(self, iovec)` (inherited from `FileDescriptor`)
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately. (inherited from `FileDescriptor`)

Class Variable Summary
`int` | `addressFamily`
`class` | `Server`
`int` | `socketType`

Method Details

### connectionLost(self, reason)

Cleans up my socket.

  Overrides:
    `twisted.internet.tcp.Port.connectionLost` (inherited documentation)

### getHost(self)

Returns a tuple of ('UNIX', fileName)

This indicates the server's address.

### startListening(self)

Create and bind my socket, and begin listening on it.

This is called on unserialization, and must be called after creating a server to begin listening on the specified port.

Class Variable Details

### addressFamily

  Type:
    `int`
  Value:

        1

### Server

`Server` = `twisted.internet.unix.Server`

### socketType

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net